Subject: Re: bug#15848: 24.3.50; cperl-mode + which-function: Improve reporting (corner case)

From: Nathan Trapuzzano <[email-masked]>
Date: Mon, 11 Nov 2013 05:50:50 -0500

Jambunathan K <[email-masked]> writes:

> Mode line is reporting the previous defun and NOT the current defun.

I've already said that cperl-mode considers a "function" to begin at the
position immediately _following_ the subroutine's name.  Perhaps I
misunderstood you, but what that patch did was add an option for telling
cperl-mode not to count POD =head directives as "functions".